AEM dispatcher setup in mac OS Mojave

SundarNarayanan

10-06-2019

Hi ,

I am trying to setup configure the aem dispatcher and apache webserver in mac OS Mojave (10.14.5)

using this tutorial :  Adobe Experience Manager Help | Set up AEM Dispatcher on macOS

i could not find that to be working , when i have checked the error log file inside "/var/log/apache2"

i could see this message "Unable to run in macOS builtin Apache, please use brew's Apache instead

AH00016: Configuration Failed". i have tried similar steps with brew version httpd that isn't working either

I could see there was a note section saying aem dispatcher will not work in the brew version in the above link

could you please help me out

Thanks

Sundar

[Here is the list of all Adobe forums... https://forums.adobe.com/welcome]

[Moved from generic Cloud/Setup forum to the specific Program forum... Mod]

Accepted Solutions (1)

Accepted Solutions (1)

SundarNarayanan

19-06-2019

I have got it resolved and was able to set up the apache

brew installation did not work for me , it was giving the same issues

I did follow the same tutorial ( Adobe Experience Manager Help | Set up AEM Dispatcher on macOS )

There are few things which you need to check before proceeding

1) httpd service inside the "/usr/sbin/httpd" make sure you have killed it before running the other steps

2) make sure it does not get started and disabled 'sudo launchctl unload -w /System/Library/LaunchDaemons/org.apache.httpd.plist'

you can check which version it is running using 'ps aux | grep httpd' or httpd -V

It should be showing the config which you have copied to "/Applications/apache2/bin"

Hope this work for you

Thanks

Sundar

Answers (9)

Answers (9)

rajum25345098

09-08-2019

SundarNarayanan​,

While installing I have faced issues and this is the issue.

To install Dispatcher for AEM on Mac, please follow below link-

https://helpx.adobe.com/experience-manager/kt/platform-repository/using/dispatcher-macos-technical-v...

but , there is a link to download correct dispatcher module for your Apache HTTPd server in the above mentioned page, which is

https://helpx.adobe.com/experience-manager/dispatcher/release-notes.html#Downloads

instead of this use below link to download correct dispatcher module

https://www.adobeaemcloud.com/content/companies/public/adobe/dispatcher/dispatcher.html

in my case my Apache version is - Apache/2.4.34 (Unix)

and dispatcher version dispatcher-apache2.4-darwin-x86_64-4.3.2.tar.gz(there in the first page link to download dispatcher module)- didn’t work.

So I tried with  dispatcher-apache2.4-darwin-x86-64-4.2.3.tar.gz (this one you can find in the second page link to download dispatcher module) - it worked.

agarwap5

24-06-2019

Hi Sundar,

Thanks for your reply. When i do ps aux | httpd -V i only get the grep command.

And when i run the apache from the new applications folder, httpd does not start successfully and throws up that exception in the error log.

SundarNarayanan

24-06-2019

Hi,

You would be getting this error if the service is already killed

could you please check if the httpd service is running from from application folder which you have copied to ?

you can check it with 'ps aux | httpd -V' . if it is not running then you can start it with

sudo ~/Applications/apache2/bin/httpd \
  -k start \
  -d ~/Applications/apache2/bin/httpd \
  -f /private/etc/apache2/httpd.conf

Thanks

Sundar

agarwap5

23-06-2019

hey bro, I am also facing similar issues in installing dispatcher. Even after doing the steps you recommended, not able to start the apache server.

Its saying could not find the specified service when i try to disable the httpd service.Screen Shot 2019-06-24 at 4.52.25 pm.png

DDev

16-06-2019

I have encountered totally the same problem.

In error_log, I also got error:

     "Unable to run in macOS builtin Apache, please use brew's Apache instead AH00016: Configuration Failed"

Environment:

  • AEM 6.4.4.0
  • macOS 10.14
  • dispatcher 4.3.2

I am not sure if a new installation of Apache with brew can solve this problem or not,

maybe it is less dangerous to ask for similar experience first.

Will consider using docker, but it will took some time to learn it, before that it would be nice if I can make dispatcher to run normally on my macOS.

Thanks

SundarNarayanan

11-06-2019

Hi ,

I am using the dispatcher version 4.3.2 and my current AEM version  is 6.0

i guess the dispatcher versions are independent of AEM versions (Installing Dispatcher)

in the dispatcher log i could see that messages saying dispatcher is initialised

but when i access the website with the configured , i am seeing this error in the error_log

file "

Unable to run in macOS builtin Apache, please use brew's Apache instead

AH00016: Configuration Failed"

Thanks

Sundar

jbrar

Employee

10-06-2019

Can you make sure you have downloaded the correct version of dispatcher?

I tried the same steps on my mac and it worked fine. Can you check dispatcher.log ?

[1] Dispatcher 4.2.3